Skala
Stock adjustment items

List all stock adjustment items

Fetches a complete list of stock adjustment item records available in the system.

GET
/api/stock_adjustment_items

Fetches a complete list of stock adjustment item records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_adjustment_items"
[
  {
    "id": 0,
    "stock": "/entity/1",
    "stockVariant": "/entity/1",
    "quantity": "string",
    "inStock": "string",
    "unitPrice": "string",
    "totalPrice": "string",
    "normalizedUnitPrice": "string",
    "normalizedTotalPrice": "string",
    "barcode": "string",
    "expirationDate": "2019-08-24T14:15:22Z",
    "currentAmount": 0,
    "batchNumber": "string"
  }
]